<?
include_once("../../../cisweb_manual/valida_sessao.php");
protegePagina(); 
include_once("../../../cisweb_manual/CisManual/adm_head.php");
?>

<span class="dir">Alterar/Excluir Página</span>
</div>
<div id="conteudo">

<?
if(isset($_GET['alterado'])){
	if($_GET['alterado'] == 1)
		echo "<p class=\"sucesso\">Publicado Com Sucesso!</p>";
	else
		echo "<p class=\"sucesso\">Erro ao publicar. Publicado arquivo em branco.</p>";	
}
?>

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<center>
Buscar:<br />
<select name="campo">
  <option value="P_ID">ID</option>
  <option value="P_NOME" selected="selected">Nome</option>
  <option value="P_TEXTO">Conteúdo</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" class="botao" />
</center>
<!-- FIM Formulário de busca -->


  <?php
include("../../../cisweb_manual/CisManual/config.php");
include("../../../cisweb_manual/CisManual/utf8.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {

		$id = $_GET['id'];				

		$sql_del = "SELECT * FROM paginas WHERE P_ID = $id";
		$consulta_del = mysql_query($sql_del, $conn);
		$result_del = mysql_fetch_array($consulta_del);
				
		unlink("../".$result_del['P_ARQUIVO']);

	}
}

//paginação
include_once("../../../cisweb_manual/pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
//$sql = "SELECT * FROM paginas ";
$sql = "SELECT * FROM paginas as b INNER JOIN templates as c ON b.P_T_ID = c.T_ID ";
$sql = base64_encode($sql);
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = base64_decode($_POST['qry']);
}else{
	//$qry = "SELECT * FROM paginas ORDER BY p_id ASC";
	$qry = "SELECT * FROM paginas as b INNER JOIN templates as c ON b.P_T_ID = c.T_ID ORDER by P_T_ID ASC";
	//$qry = "SELECT * FROM paginas as a INNER JOIN templates as b ON a.p_t_id = b.t_id ORDER by id ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysql_query($qry.$sqlFinal, $conn);

//navegador de paginação
include_once("../../../cisweb_manual/pag_fim.php");
//fim navegador de paginação

?>

<table align="center" class="exibe">
  <tr>
    <th>Título</th>
    <th>Arquivo</th>
    <th>Situação</th>
    <th>Publicar</th>    
    <th>Alterar</th>
    <?php if($_SESSION['usuarioNivel']>='3'){ ?><th>Excluir Publicação</th><?php } ?>
    <th>Revisões</th>
  </tr>
  
<?
while ($linha = mysql_fetch_array($consulta)) {
	$codigopagina = $linha['P_ID'];
	$sql_obs = "SELECT *, date_format(OB_DATA, '%d/%m/%Y - %H:%i') as data, date_format(OB_ALT_DATA, '%d/%m/%Y - %H:%i') as data_autor FROM observacoes WHERE OB_P_ID = $codigopagina ORDER by OB_DATA DESC";
	$consulta_obs = mysql_query($sql_obs, $conn);
	$linha_obs = mysql_fetch_array($consulta_obs);	

?>
  <tr>
    <td><?=$linha['P_NOME'];?></td>
    <td><?=$linha['P_ARQUIVO'];?></td>
    <td><? if($linha['P_SITUACAO']==0) { echo "<img src='../../../cisweb_manual/img/red_button.gif' />"; } 
	else { echo "<img src='../../../cisweb_manual/img/green_button.gif' />"; } ?></td>
    <td>
    <?php
	if($linha_obs['OB_DATA'] < $linha['P_ALT_DATA']) {
	?>
    <input type="image" src="../../../cisweb_manual/img/publicar.png" class="admin" name="acao" onclick="location.href = 'publicar_pagina.php?id=<?=$linha['P_ID'];?>'">
    <? } ?>
    </td>  
    <td><input type="image" src="../../../cisweb_manual/img/editar.gif" class="admin" name="acao" onclick="location.href = 'alterar_pagina.php?id=<?=$linha['P_ID'];?>'"></td>
	<?php if($_SESSION['usuarioNivel']>='3'){ ?>
    <td><input type="image" src="../../../cisweb_manual/img/excluir.gif" value="remover" class="admin" name="acao" onclick="confirma_pagina(<?=$linha['P_ID'];?>)"></td>
	<?php } ?>
    <td>
    <input type="image" src="../../../cisweb_manual/img/revisoes.png" class="admin" name="acao" onclick="location.href = 'adm_revisao.php?id=<?=$linha['P_ID'];?>'">
    </td>  
  </tr>
  <?php
}
mysql_close($conn);
?>
</table>
</div>
<? include_once("../../../cisweb_manual/CisManual/adm_foot.php"); ?>
